Skip to content

Submit request to update mapped insurance plans

Request

Submits a request to update mapped insurance plans. This is an asynchronous operation and the response indicates the request was accepted for processing, not that the update is complete.

Security
ClientCredentialsFlow(Required scopes:
external.provider_insurance.writ...
)
Path
provider_location_idstringrequired

The Zocdoc provider location id to get insurance plans for.

Bodyapplication/jsonrequired
insurance_plan_idsArray of stringsrequired

List of insurance plan ids

operationstring(InsuranceMappingUpdateOperation)required
Enum:"Add""Remove""Replace"
curl -i -X POST \
  'https://api-developer-sandbox.zocdoc.com/v1/provider_locations/{provider_location_id}/insurance_mappings' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "insurance_plan_ids": [
      "string"
    ],
    "operation": "Add"
  }'

Responses

Accepted

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

Response
{ "request_id": "string" }